#!/bin/bash

# Add-eqsign-ToDirectoryNames.bash

# Add an equals sign to end of all directory names to differentiate from any file names. 
# Run ReplSpacesinSubdirs.Filenames first  
# Fails if there are any spaces in directory names. 



function recursive_loop   {
# This is a Function to Recurse a script an infinite number of levels below the Current Directory, which will not be included
  for entry in *     # Iterate through the current directory
    do
      if [ -d "$entry" ]  # If the entry is a directory
      then
        cd $entry         # Change to that directory
	addeqsign      # run the function in that directory
        recursive_loop;  # Go to the next iteration
      else                # if the entry is not a directory
        continue         # Go to the next iteration
      fi
      # When we run out of subdirectories in this branch, go up a level for next "f"
      cd ..
    done   
       # No more subdirectories, we have reached the end of the branches, recursions function done
      }



function addeqsign   {
for file in *
do
echo file= $file
  if [ -d $file ]
  then
    if [ "${file: -1}" = "=" ]
    then
        echo $file already has eq sign
     else
        mv "$file" "$file"=
        echo changed $file
    fi
  fi
done
   }
   
# Import functions and variables from the config file
source htaccess-config.bash
source functions.bash

cd $AppendEqSignDir


# Exclude root directory and check users config entry
if [ "$AppendEqSignDir" = "/" ]
then
  echo
  echo Cannot use this script on the root directory, check the config file!
  echo
  exit 1
elif [ ! -d "$AppendEqSignDir" ]
then
  echo
  echo Cannot find a directory named $AppendEqSignDir
  echo Check the config file and the file listing for spelling errors.
  echo
  exit 1
fi

echo 
echo Add an equals sign to all directories: 
echo This script will fail if there are any spaces in a filename or directory.
# Validate with user
PS3="Ctl-c to quit: "
select opt in 1_level_or_more_below_$AppendEqSignDir 2_levels_or_more_below_$AppendEqSignDir quit; do

  case $opt in
     1_level_or_more_below_$AppendEqSignDir)
          cd ..
          recursive_loop
	  ;;
     2_levels_or_more_below_$AppendEqSignDir)
          recursive_loop
          ;;
     quit)
          echo
          break
          ;;
      *)
          echo
          echo "Invalid option $REPLY"
          echo
          ;;

  esac
done

