#!/bin/bash

# ReplSpacesinSubdirs.filenames.bash
# Replace all spaces with a dot in directory names and in file names of all subdirs.

# Import variables from the config file
source htaccess-config.bash

# ID the characters to find (space) and replace (dot)
findchar=" "
replacechar="."

clear

# Exclude root directory and check users config entry
if [ "$RemoveSpaces" = "/" ]
then
  echo Cannot use this script on the root directory, check the config file!
  exit 1
elif [ ! -d "$RemoveSpaces" ]
then
  echo Cannot find a directory named" $RemoveSpaces", check the file name.
  exit 1
fi

cd $RemoveSpaces

# Validate with user
echo Replace all spaces with a dot in" $RemoveSpaces "and below? 
read -p "Press enter to do replacements, Ctl-c to quit "
echo 

# Replace
find -name "* *" -print0 | sort -rz | \
  while read -d $'\0' f; do mv -v "$f" "$(dirname "$f")/$(basename "${f//${findchar}/${replacechar}}")"; done
echo Completed

